package com.goafanti.business.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.goafanti.common.constant.AFTConstants;

public class BusinessVarietiesBo {
	/*分类ID*/
	private String id;
	/*创建人*/
	private String createId;
	/*创建时间*/
	private Date createTime;
	/*更新时间*/
	private Date updateTime;
	/*删除标识*/
	private Integer deleteSign;
	/*分类编号*/
	private String cid;
	/*分类名称*/
	private String cname;
	/*父分类*/
	private String superId;
	/*分类层级*/
	private Integer layer;
	/*分类状态*/
	private String status;
	/*上级品类*/
	private String superName;
	/*创建人*/
	private String createName;
	/*品类图标*/
	private String varietiesLogo;
	/*排序编号*/
	private Integer sort;
	
	public String getSuperName() {
		return superName;
	}
	public void setSuperName(String superName) {
		this.superName = superName;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getCreateId() {
		return createId;
	}
	public void setCreateId(String createId) {
		this.createId = createId;
	}
	public Date getCreateTime() {
		return createTime;
	}
	// 创建时间
	public String getCreateTimeFormattedDate() {
		if (this.createTime == null) {
				return null;
			} else {
				return DateFormatUtils.format(this.getCreateTime(), AFTConstants.YYYYMMDDHHMMSS);
			}
		}	
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	public Integer getDeleteSign() {
		return deleteSign;
	}
	public void setDeleteSign(Integer deleteSign) {
		this.deleteSign = deleteSign;
	}
	public String getCid() {
		return cid;
	}
	public void setCid(String cid) {
		this.cid = cid;
	}
	public String getCname() {
		return cname;
	}
	public void setCname(String cname) {
		this.cname = cname;
	}
	public String getSuperId() {
		return superId;
	}
	public void setSuperId(String superId) {
		this.superId = superId;
	}
	public Integer getLayer() {
		return layer;
	}
	public void setLayer(Integer layer) {
		this.layer = layer;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getCreateName() {
		return createName;
	}
	public void setCreateName(String createName) {
		this.createName = createName;
	}
	public String getVarietiesLogo() {
		return varietiesLogo;
	}
	public void setVarietiesLogo(String varietiesLogo) {
		this.varietiesLogo = varietiesLogo;
	}
	public Integer getSort() {
		return sort;
	}
	public void setSort(Integer sort) {
		this.sort = sort;
	}
	
	
}

